<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Модерация Вопросов-Ответов!</title>
</head>
<?php
if (file_exists(getcwd ( )."/otd/2.txt"))
{
echo '<body leftMargin=0 id=bod topMargin=0  style="overflow:hidden;background:silver;">';
echo '<table id=monoz  border=0 style="width:100%;height:100%;
z-index:3;position:absolute;top:0px;left:0px;">
<tr ><td width=30%>&nbsp;</td><td width=30%  valign=center align=center>
<table border=0 width=400 style="background:white" >
<tr><td><IMG height=60 border=0 src="d~e~f/pas.jpg"></td>
<td  height=30px ><center><b style="color:red" >ВНИМАНИЕ !'.
'</b></center><br>
<ol>
<li>АДМИНИСТРАТОР закрыл сайт для проведения работ по его реорганизации !
<li>Сайт будет доступен после завершения работ!
<li>Для получения сведений обратись к АДМИНИСТРАТОРУ !
<li>Закрой сайт
<li>Открой сайт позже !
</ol>
</td></tr>
</table>
</td><td width=30%>&nbsp;</td></tr></table></body></html>';
die;
}
?>

<body background="d~e~f/bkg.gif">
<script language="VBS" >
ret=0 'индекс возврата
</script>

<script language="VBS" for="n" event=onclick>
set obj=window.event.srcelement   ' кого щелкнул
obj.style.background="yellow"
if ret>0 then
document.all(cint(ret)).style.background=""
end if
ret=obj.sourceindex
form.elements("npp").value=obj.innertext
form.elements("ab").value=document.all("a"&obj.innertext).innertext
w=document.all("o"&obj.innertext).innertext
w=trim(replace(w,"&nbsp;"," ")) 
w=trim(replace(w,"<br>",vbcr)) 
form.elements("ot").value="    "& w
</script>



<?php
include "f.php";                //  вставим функции перекодировки  имен файлов и удаления папки
if (isset($_GET['utf8']))
{$utf8=$_GET['utf8'];}
else
{$utf8="";}

if (isset ($_REQUEST['nam']))
{$nam=$_REQUEST['nam'];}
else
{ $nam=$_GET['nam'];} 
if (isset ($_REQUEST['site']))
{$site=$_REQUEST['site'];}
else
{ $site=$_GET['site'];} 
$fol=str_replace(".htm","",$site);   // имя папки из имени страницы 
if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{list($a1,$a2,$a3,$a4,$a5)=explode("/",$site);  // признаки показа сбросим всем
$fol=$a1."/".$a2."/".$a3;}
else
{$fol=str_replace(".htm","",$site);   // имя папки из имени страницы 
}


?>

<form id="form" method="POST" enctype="multipart/form-data" action="modtq.php
<?php echo '?site='.$site.'&utf8='.$utf8.'&nam='.$nam;?>
">
<table border="0" width=100% height=100%><tbody>
<TR><td valign=top>
<table border="0" width=100% height=100%><tbody><TR>
<td valign=top>

<table border="1" width=100%>
<TR>
<td valign=top>
<THEAD style="background:#eee8aa">
<TR><TH width=20px><small>N</small></TH>
<TH style="background:white"><font style="background:#e0ffff;width:100%" title="Ip - адрес автора вопроса; Характер - картинка отражающая характер вопроса; Дата - дата ввода вопроса; Имя - имя автора вопроса  ">
&nbsp;Ip&nbsp;&nbsp;Характер&nbsp;&nbsp; Дата&nbsp;&nbsp;Спросил</font><br>Вопрос
<font style="background:#e0ffff;width:100%">Ответил</font><br>Ответ
</TH>
<TH width=22px title="показать/скрыть">v</TH>
<TH  width=22px title="удалить">x</TH>
<TH  width=10px >&nbsp;</TH>
</TR></THEAD></table>




<DIV id=k style="OVERFLOW: scroll; HEIGHT: 55%;background:#fffacd" align=left>
<table border="1" width=100% style="" ><tbody>
<TBODY>


<?php

$os=""; 						 //  В ЭТУ переменную копим сообщения об ошибках
if (isset ($_REQUEST['de']))    // если щелкнул удалить все 
{
$w=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tq/tq.txt',$utf8), 'w') or exit; // книга на запись
$wh=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tq/tq.htm',$utf8), 'w') or exit; // книга на запись
fclose($w);  // закроем файл  книги
fclose($wh);  // закроем файл  книги
}

if (isset ($_REQUEST['red']))    // если щелкнул ПРИНЯТЬ ответ на вопрос
{
 $ab=trim(stripslashes ($_REQUEST['ab'])); // автор ответа)
 $ot=trim(stripslashes ($_REQUEST['ot'])); // текст  ответа
 $ab=htmlspecialchars($ab, ENT_QUOTES,'cp1251');  // уберем символы тегов и кавычки
 $ot=htmlspecialchars($ot, ENT_QUOTES,'cp1251');  // уберем символы тегов и кавычки
 $ab=str_replace("\r\n","<br>",$ab);  // 
 $ot=str_replace("\r\n","<br>&nbsp;&nbsp;&nbsp;",$ot);  //
  $nus=$_REQUEST['npp']; 					// номер  строки где изменяем 
 if ($ab=="") {$ab="Хозяин страницы";}	   // если  введен текст
 if ($ot=="") {$ot="Думает как ответить на вопрос";}	   // если  введен текст
 $ff=wu(getcwd().'/pages/'.$fol.'/tq/tq.txt',$utf8);
 $l = file(wu($ff,$utf8)); 					 // прочитали файл страницы или документа
 $w = fopen(wu($ff,$utf8), 'w') or exit;  	 // тепрь откроем его для записи 
 //$ot=str_replace('&lt;BR&gt;','<br>',$ot);
 //$ot=str_replace('&lt;HR&gt;','<hr>',$ot);
 //$ot=str_replace('&lt;LI&gt;','<li>',$ot);
 //$ot=str_replace('&lt;br&gt;','<br>',$ot);
 //$ot=str_replace('&lt;hr&gt;','<hr>',$ot);
 //$ot=str_replace('&lt;li&gt;','<li>',$ot);

 //$ot=str_replace('&lt;B&gt;','<b>',$ot);
 //$ot=str_replace('&lt;/B&gt;','</>',$ot);
 //$ot=str_replace('&lt;b&gt;','<b>',$ot);
 //$ot=str_replace('&lt;/b&gt;','</b>',$ot);
 foreach ($l as $li => $lin)         //  просмотрим все строки 
  {if ($li==$nus-1)  					 // если это строка где меняем
   {
    list($ip,$ka,$im,$d,$t,$ab1,$ot1,$p)=explode("//",$lin);
    $lin=$ip.'//'.$ka.'//'.$im.'//'.$d.'//'.$t.'//'.$ab.'//'.$ot.'//+'."\r\n";
   } // в строке старое заменим на новое 
   fwrite($w,$lin);} // просто пишем
   fclose($w);
echo "<font color=green><b>Ответ принят ! Для публикования ответа на странице установи галку в V и щелкни Выполнить</b></font>";
}
if (isset ($_REQUEST['hid']))    // если щелкнул ВЫПОЛНИТЬ
{// Просмотрим все переданные данные из формы и выберем только имена  файлов на удаление начало ключа на uu
// на показ - начало ключа  pp
$l = file(getcwd().'/pages/'.$fol.'/tq/tq.txt');  // книга вход
foreach ($l as $li => $lin)  
{
if (substr(trim($lin),0,1)!="*")  // если строка это не  комментарий
{list($ip,$ka,$im,$d,$t,$ab,$ot,$p)=explode("//",$l[$li]);  // признаки показа сбросим всем
$l[$li]=$ip.'//'.$ka.'//'.$im.'//'.$d.'//'.$t.'//'.$ab.'//'.$ot.'//-'."\r\n";
}
}
foreach ($_REQUEST as $i => $z)  //  просмотрим все что отмечено на удаление
  {
if (substr($i,0,2)=="uu")  // если запись на удаление
  {
   $k=trim(substr($i,2));
   $l[$k]="uu"; //  признак удаления
  }
else
 {if (substr($i,0,2)=="pp") // если запись показать/скрыть
 {
 $k=trim(substr($i,2));
 list($ip,$ka,$im,$d,$t,$ab,$ot,$p)=explode("//",$l[$k]);
 if ($p!="+") // если признака показа нет в таблице но есть в форме
  {$l[$k]=$ip.'//'.$ka.'//'.$im.'//'.$d.'//'.$t.'//'.$ab.'//'.$ot.'//+'."\r\n";
//  echo $l[$k];
  } //  признак  непоказа заменим на признак показа
 }
 }
 }    //
// измененный массив в таблицу  и для вставки
$w=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tq/tq.txt',$utf8), 'w') or exit; // книга на запись
$wh=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tq/tq.htm',$utf8), 'w') or exit; // книга на запись
fwrite($wh,'<h2 style="background:silver;width:100%;color:white" align=center>Вопросы-Ответы</h2><table border=0 width=100%><tbody>');

$ii=1;
  foreach ($l as $li => $lin)  
  {  
  if (trim($lin)=="uu") // удаленную строку пропускаем
  {}
  else
  {
fwrite($w,$lin);
if (substr($lin,0,1)!="*")  // если строка это комментарий
{
list($ip,$ka,$im,$d,$t,$ab,$ot,$p)=explode("//",$l[$li]);
if (trim($p)=="+")  // если показать
{
$ww='<tr style="background:#e0ffff">
<td width=10px><b>'.$ii++.'</b></td>
<td width=20px><img src="../d~e~f/'.trim($ka).'"></td>'.
'<td width=70px><nobr><b>'.trim($d).'</nobr></b></td>'.
'<td width=80% colspan=2><b>'.trim($im).'</b><b>,&nbsp;ВОПРОС:</b></td></tr>'.
'<tr><td></td><td colspan=4>'.trim($t).'</td></tr>'.
'<tr ><td></td><td></td><td style="background:#e0ffff" colspan=3><b>'.$ab.'</b><b>,&nbsp;ОТВЕЧАЕТ:</b></td></tr>'.
'<tr><td></td><td></td><td colspan=3>'.$ot.'<hr></td></tr>';


if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{
 $ww=str_replace('../','../../../../',$ww);	
}




fwrite($wh,$ww);
}
}
  } // остальные пишем
  }
fclose($w);  // закроем файл  книги
fwrite($wh,"</tbody></table>");
fclose($wh);  // закроем файл  книги
echo '<b style="color:green"> Ответы на вопросы опубликованы на странице !</b>';
}
//----------------------------------------------------------------------------------------
// покажем содержимое
//----------------------------------------------------------------------------------------
$mf=wu(getcwd().'/pages/'.$fol.'/tq/tq.txt',$utf8);
$net=true;
if (file_exists($mf))  // если файл содержимого существует
{
$net=false;
$l = file($mf);
// Осуществим проход массива и выведем номера строк и их содержимое
$ii=1;
foreach ($l as $li => $lin)
{ 
echo "<TR>";
 if (substr($lin,0,1)=="*")  // если строка это комментарий
{}
 else
 { 
// дата, имя, текст, признак
 list($ip,$ka,$im,$d,$t,$ab,$ot,$p)=explode("//",$lin);
echo '<td id="n" width=18px>'.$ii.'</td>';
echo '<td style="background:white"><b><font style="background:#e0ffff;width:100%">';
echo trim($ip).'&nbsp';
echo '<img src="d~e~f/'.trim($ka).'">'.'&nbsp';
echo trim($d).'&nbsp;&nbsp;&nbsp';
echo trim($im).'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp</font></b>';
echo trim($t);
echo '<font id=a'.$ii.' style="background:#e0ffff;width:100%"><b>'.$ab.'</b><br></font>';
echo '<font id=o'.$ii++. ' style="width:100%">&nbsp;&nbsp;&nbsp'.$ot .'</font>';

echo "</td>";

echo '<td align=center width=18px>';
 if (substr($p,0,1)=="+") 
 {echo '<input type="checkbox"   name="pp'.$li.'" checked>';}
else
 {echo '<input type="checkbox"   name="pp'.$li.'">';}
 echo '<td align=center width=18px>';
 echo '<input type="checkbox"   name="uu'.$li.'">';
 echo '</td>';
 }
 }
 }
?>
</td></tr></tbody></table>
</div>
<table border="0" width=100% height=30% style="background:#fffacd">
<tbody><tr><td width=40px>
<b>Автор ответа:</b>
</td>
<td>
<input type="text" name="ab" style="width:100%" ></textarea>
</td></tr>
<tr><td width=40px>
<b>Введи ответ:</b>
</td>
<td>
<textarea name="ot" rows=6 style="width:100%"></textarea>
</td></tr></tbody></table>



</td>
<td valign=center width=300px>

<a  href="help/10.htm#103" target=_blank>&nbsp;Справка&nbsp;</a>


<br><br> 
<b>
<center><font size=3><b>МОДЕРАЦИЯ ВОПРОСОВ СТРАНИЦЫ</b></font><br>
<u href=# onclick=q1("<?php 
if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{
echo "pages/".$a1."/".$a2."/".$a3."/".str_replace(".htm",".php",$a5);
//echo "pages/".$site; 
}
else
{
echo "pages/".$fol.'.php'; 
}


?>
")><b title="Для просмотра опубликованной страницы вернись в конструктор и щелкни 'ПОСМОТРЕТЬ' !">

<?php  echo rtr($nam); ?> </u></center><br>
<li>В таблице показываются все поступившие вопросы!
<li>Выбери вопросы для показа щелчком в столбце "v" 
<li>Выбери вопросы для удаления щелчком в столбце "x"
<li>Для удаления и публикования выделенных вопросов щелкни кнопку<br> 
<center><input type="submit" value="Выполнить" name="hid" 
title="Для публикования на странице и удаления помеченных вопросов щелкни меня" 
<?php if ($utf8=="" or $net) {echo "disabled";} ?>></center>
<li>Для удаления всех вопросов щелкни кнопку<br>
<center><input type="submit" value="Удалить все" name="de" <?php if ($utf8=="" or $net) {echo "disabled";} ?>></center> 
<input type="hidden" name="utf8" value="<?php echo $utf8;  ?>">
<input type="hidden" name="site" value="<?php echo $site;  ?>">
<input type="hidden" name="nam" value="<?php echo $nam;  ?>">
<li>Для ввода ответа щелкни строку N, введи данные и щелкни
<center> 
<input type="submit" value="Принять" name="red" 
title="После ввода ответа щелкни меня"
<?php if ($utf8=="" or $net) {echo "disabled";} ?>>
<li>При редактировании теги воспринимаются как текст, Enter - как текст с новой строки с отступом.
<script language=VBS>
function canc()
 window.event.cancelbubble=true
 window.event.returnvalue=false
 form.elements("ab").focus()
 end function
</script>
<br><br>Выбран N&nbsp;&nbsp;<input  onclick=canc() type="text" value=0 name="npp" style="width:20"></center>
</center>
</td>
</tr></tbody></table>
</form>
<a id=per target=_blank style="visibility:hidden" href=#>+++</a>
</body>
<script language="VBS">
function oh(y)
end function

</script>
<script type="text/javascript">
 function q1(jj)
{
return
devdate=new Date();
var dy="";
// Получить год(из 4 цифр)
dy=devdate.getFullYear()
var dm="";
//Получить месяц, от 0 до 11.
dm=devdate.getMonth()+1
var dc="";
//Получить число месяца, от 1 до 31.
dc=devdate.getDate();
var cd="";
//номер дня в неделе. Неделя  начинается с воскресенья 0(воскресенье) до 6(суббота).
dd=devdate.getDay();
var dp=""
dp=dy+"-"+dm+"-"+dc+"-"+dd
obj=document.all["per"];

if (jj.indexOf("/contents/")>=0)
{
 obj.href=jj+"?td="+ dp
 }
else

{
obj.href=jj+"?td="+ dp
}
obj.click()
}

</script>





</html>